<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\TeilnehmerUebersicht;

class TeilnehmerUebersichtController extends \Kufer\Web\KuferTools\Basis\Uebersicht\UebersichtController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TeilnehmerUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return TeilnehmerUebersichtUseCase::getToolId();
  }

  protected function getDefaultRequestObj()
  {
    $request = new TeilnehmerUebersichtRequest();
    $request->filter_status = \GetOperations::getVarValue('filter_status');

    return $request;
  }

  protected function getSuchAPI()
  {
    return new \ZsaBkBvTnSuchAPI();
  }

  protected function getRequestSearchName()
  {
    return 'searchteilnehmer';
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TeilnehmerUebersichtPresenter($pUseCaseResponse);
  }
}